"""

This package defines global constants used throughout the project. Constants
help in maintaining consistency and avoiding magic numbers or strings in the codebase.

Usage:
    Import the required constants as needed:

    Example:
        ```python
        from constants import APP_NAME, ENVIRONMENT
        from constants import STATUS_OK, STATUS_BAD_REQUEST
        ```

Purpose:
    - Centralizes constant values for maintainability and reusability.
    - Reduces hard-coded values in the project.
"""
