"""

The `utils` module provides various utility functions for file I/O, data encoding/decoding, and directory management.

Functions:
    read_yaml: Reads a YAML file and returns its contents as a dictionary.
    create_directories: Creates directories if they do not exist.
    save_json: Saves data to a JSON file.
    load_json: Loads JSON data from a file.
    save_bin: Saves binary data to a file.
    load_bin: Loads binary data from a file.
    get_size: Returns the size of a file or directory in bytes.
    decode_image: Decodes an image from a base64 string.
    encode_image_into_base64: Encodes an image into a base64 string.
"""
